# ipeqt Namespace Reference

Ipe canvas library namespace. More...

## Classes

- class Canvas
    A Qt widget that displays an Ipe document page. More...
- class Tool
    Abstract base class for various canvas tools. More...
- class PanTool
    A tool for panning the canvas. More...
- class SelectTool
    A tool for selecting objects. More...
- class TransformTool
    A tool for transforming the selected objects on the canvas. More...

## Functions

- QPointF QPt (const Vector &v)
- String IpeQ (const QString &str)
- QString QIpe (const String &str)
- QColor QIpe (Color color)
- Color IpeQ (QColor color)

## Detailed Description

Ipe canvas library namespace.

This namespace is used for the components of Ipe that are dependent on the Qt toolkit.

## Function Documentation

QPointF ipeqt::QPt | ( | const Vector & | v | ) | `[inline]`

String ipeqt::IpeQ | ( | const QString & | str | ) | `[inline]`

QString ipeqt::QIpe | ( | const String & | str | ) | `[inline]`

QColor ipeqt::QIpe | ( | Color | color | ) | `[inline]`

Color ipeqt::IpeQ | ( | QColor | color | ) | `[inline]`